# Python Narrative packages
- [politicsnlp](https://pypi.org/project/politicsnlp/) for Politics
- [religionnlp](https://pypi.org/project/religionnlp/) for Religion
- [lawnlp](https://pypi.org/project/lawnlp/) for Law
- [economynlp](https://pypi.org/project/economynlp/) for Economy
- [cpanlp](https://pypi.org/project/cpanlp/) for Business
- [militarynlp](https://pypi.org/project/militarynlp/) for Military

## Communicate in Economy with python
  

<img src="https://raw.githubusercontent.com/python-narrative/economynlp/main/economynlp.jpg" width = "220" height = "100" alt="logo" align=center />

<br/>

[![PyPI - Python Version](https://img.shields.io/static/v1?label=pypi&message=v0.0.12&color=blue)](https://pypi.org/project/economynlp/)
[![Downloads](https://static.pepy.tech/badge/economynlp/week)](https://pepy.tech/project/economynlp)

For detailed installation instructions, see the [documentation](https://economynlp.com/documentation).
```python
pip install economynlp
import economynlp as ep
```

## Example

Information Asymmetry
```python
info = p.AsymmetricInformation(sender="investor", receiver="company_A", message="I am very interested in investing in your business", hidden_information="I have a limited budget")
info.get_advantage()
```

## Module:

|  Module   | Content  |
|  :----:  | :----:  |
| **Abnormal**  | `Winner Curse`，`Bubble`|
| **Belief**  | `Rational Beliefs`，`Rational Expectations`，`Belief Distortions`|
| **Cognitive**  | `BlackSwan`，`Grey Rhino`，`Herd Behavior` ，`Invisible Hand`，`Revolving Door` ，`Tunneling`，`Putting All Your Eggs in One Basket` |
| **Culture**  | `Entrepreneurship`，`Craftsmanship`，`Business Philosophy` |
| **Environment**  | `Economic Environment`，`Industry Environment`，`Credit Environment`，`Market Environment`|
| **Game**  | |
| **Information**  | `Signal`，`Speculative Information`，`Asymmetric Information` |
| **Incentive**  |   |
| **Market**  | `Commodity`，`Goods`，`Market`，`Market Failure`，`Market Access`|
| **Policy** |  `Fiscal Policy` ，`Fiscal Stimulus` ，`Industrial Policy`，`Macroprudential` ，`Monetary Policy`，`Tobin Taxes`|
| **Structure**  | `Monopoly`，`Oligopoly`，`PerfectlyCompetitive`|
| **System** |  `Digital Economy` ，`Physical Economy` ，`Market Economy`，`Planned  Economy` |


Check out: https://cpanlp.com